Bug 669100 - Failed to install pcre-devel
Failed to install pcre-devel
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.6
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-12 11:52 EST by Yura Kohut
Modified: 2014-01-21 01:20 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 09:04:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yura Kohut 2011-01-12 11:52:47 EST
Description of problem:
Failed to install pcre-devel while running:
yum install pcre-devel --nogpgcheck

Version-Release number of selected component (if applicable):
Red Hat Enterprise Linux Server release 5.6 (Tikanga)

How reproducible:
Install "Minimal" distributive packages set except of yum, open-ssh and RHN components using DVD (rhel-server-5.5-x86_64-dvd.iso)

Steps to Reproduce:
1. Run
yum install pcre-devel --nogpgcheck
  
Actual results:
yum install pcre-devel --nogpgcheck
Loaded plugins: rhnplugin
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pcre-devel.i386 0:6.6-6.el5 set to be updated
---> Package pcre-devel.x86_64 0:6.6-6.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================================================================================================
 Package                              Arch                             Version                             Repository                                      Size
================================================================================================================================================================
Installing:
 pcre-devel                           i386                             6.6-6.el5                           rhel-x86_64-server-5                           181 k
 pcre-devel                           x86_64                           6.6-6.el5                           rhel-x86_64-server-5                           184 k

Transaction Summary
================================================================================================================================================================
Install       2 Package(s)
Upgrade       0 Package(s)

Total size: 365 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
libpcre.so.0 is needed by pcre-devel-6.6-6.el5.i386
libpcrecpp.so.0 is needed by pcre-devel-6.6-6.el5.i386
libpcreposix.so.0 is needed by pcre-devel-6.6-6.el5.i386
pcre is needed by pcre-devel-6.6-6.el5.i386
pcre is needed by pcre-devel-6.6-6.el5.x86_64
Complete!
(1, [u'Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Red%20Hat%20Enterprise%20Linux%205&component=yum'])

Expected results:
pcre-devel package is installed

Additional info:
Comment 1 James Antill 2011-01-12 12:23:12 EST
What do the following commands output:

rpm -Va --nofiles --nodigest
yum list pcre pcre-devel
Comment 2 Yura Kohut 2011-01-13 03:52:12 EST
Running 'yum clean all' fixed the problem for to day. But some packages were updated and the repository data regenerated - that seems fixed the issue.
Comment 3 James Antill 2011-01-13 09:04:16 EST
Not sure if there was/is a bug ... my guess was a prexisting problem in the rpmdb, or something weird to do with multilib.
Given clean all fixed it, and I don't have enough info, I'm just going to close though.

Note You need to log in before you can comment on or make changes to this bug.